Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class ComparisonException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.expression.ExpressionException
                      com.bea.p13n.expression.ComparisonException

All Implemented Interfaces
  Serializable

    public class ComparisonException

extends ExpressionException

An Exception class for Comparison related exceptions. This exception can be thrown if an object that does not implement the Comparable interface is the LHS of a comparison or an unknown client class invokes a comparison operation.

See Also
  Serialized Form

Constructor Summary
`ComparisonException(Object client, Object lhs, Object rhs)` Creates a ComparisonException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparisonException

    public ComparisonException(Object client,
                               Object lhs,
                               Object rhs)

  Creates a ComparisonException

  Parameters
    `client` - the client of the Comparator
    `lhs` - the LHS of the comparison
    `rhs` - the RHS of the comparison

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.